Skip to content
SilanDocs
Main site

Rotate the device to portrait or landscape.

REST operation act (POST /v1/devices/{deviceId}/actions)
Action type rotate
Needs a device yes
Read only no
Profiles testing, full
Name Required Type Goes to What it is
device_id yes string path deviceId Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC.
lease no string header Silan-Lease Lease token when the device is claimed.
orientation yes portrait, portraitUpsideDown, landscapeLeft, landscapeRight body action.orientation
return no object body returning
rotate({ device_id: "ios:00008120-001A2B3C4D5E6F70", orientation: … })